package routes

import (
	"github.com/gorilla/mux"
    "yaagobackend/controllers" // Import local package (assuming router.go is in a subdirectory named 'routes')
)

// InitializeRouter sets up the router with all the routes
func InitializeRouter() *mux.Router {
	r := mux.NewRouter()

	// Define routes and their handlers
	r.HandleFunc("/users", GetUsers).Methods("GET")
	r.HandleFunc("/users/{id}", GetUser).Methods("GET")
	r.HandleFunc("/users", CreateUser).Methods("POST")

	return r
}
